Page MenuHomePhabricator

Phase 2 repository migrations to Differential
Closed, DeclinedPublic

Description

See https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team/Project/Differential_Migration for more context and timeline.

Suggested repositories:

  • operations/puppet - rOPUP
  • operations/dns - rODNS
  • ...

Event Timeline

greg created this task.Mar 18 2016, 9:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2016, 9:52 PM
greg updated the task description. (Show Details)Mar 28 2016, 5:43 PM
greg renamed this task from Goal: Phase 2 repository migrations to Phase 2 repository migrations to Differential (goal - end of September 2016).Mar 31 2016, 11:49 PM
Aklapper renamed this task from Phase 2 repository migrations to Differential (goal - end of September 2016) to Phase 2 repository migrations to Differential (goal - end of March 2017).Nov 23 2016, 6:29 PM
EddieGP changed the task status from Open to Stalled.EditedApr 22 2017, 9:56 PM
EddieGP added a subscriber: EddieGP.

So T130418: Phase 1 repository migrations to Differential (goal - end of June 2016) is marked as "resolved". It names three repositories to be switched to diffusion (each having a subtask). One of those three subtasks is actually resolved (T132174), two still aren't (T132173, T131419). So one could say that "Phase 1" isn't really resolved but one third of it is done. This "Phase 2" task names two repositories to be migrated, both are still observing gerrit. As this wasn't finished by the end of September 2016, it was renamed to be "goal - end of March 2017" (i.e. rescheduled by half a year). However, since rescheduling this, there have been no updates on this and "March 2017" is already over. In addition, the linked wiki page mentions this task under Q1 in the summary table and on the same page under "KPI" states: "Q1: 0% of WMF deployed repositories (but not MediaWiki and Extensions) are managed in Gerrit." So it seems this task is meant to be about more than the migration of just those two repositories named in the description, especially with the context that some older revisions of the linked wiki page draw an even closer connection between this task and the quoted Q1 goal.

However, as the most of "Phase 1" still isn't done and there haven't been any updates on "Phase 2" for a few months, I wondered if this is still really a goal to anybody at all ("goal" in terms of "We want to have migration of X repositories done by date Y at latest and are putting active effort into reaching this.", not in terms of "We still want to maybe have this done somehow someday."). As there hasn't been any activity on this lately I doubted it. When seeing that Greg intentionally removed all dates from the wiki page I became sure this isn't a goal any more. Hence I'm setting this as stalled and removing the "goal" part from the title here (as well as in "Phase 3" T130421).

Quite unhappy to see that this is already stuck for such a long time and that there seems to be no intention to change this in near-term future...

EddieGP renamed this task from Phase 2 repository migrations to Differential (goal - end of March 2017) to Phase 2 repository migrations to Differential.Apr 22 2017, 9:56 PM

@EddieGP: this is indeed stalled and currently we don't see any way forward. The status quo (gerrit) will likely remain for the foreseeable future.

demon closed this task as Declined.Feb 15 2018, 3:06 AM
demon added a subscriber: demon.

Declining outright as we don't have any sort of plan here. There's no "phase 2" and the suggested repos are non-viable (I know ops has little appetite for Differential)